OpenJPEG: opj_tile_info Struct Reference

OpenJPEG 2.1.2

Data Fields
opj_tile_info Struct Reference

Index structure : information regarding tiles. More...

`#include <openjpeg.h>`

## Data Fields
double * | thresh
| value of thresh for each layer by tile cfr. More...
int | tileno
| number of tile More...
int | start_pos
| start position More...
int | end_header
| end position of the header More...
int | end_pos
| end position More...
int | pw [33]
| precinct number for each resolution level (width) More...
int | ph [33]
| precinct number for each resolution level (height) More...
int | pdx [33]
| precinct size (in power of 2), in X for each resolution level More...
int | pdy [33]
| precinct size (in power of 2), in Y for each resolution level More...
opj_packet_info_t * | packet
| information concerning packets inside tile More...
int | numpix
| add fixed_quality More...
double | distotile
| add fixed_quality More...
int | marknum
| number of markers More...
opj_marker_info_t * | marker
| list of markers More...
int | maxmarknum
| actual size of markers array More...
int | num_tps
| number of tile parts More...
opj_tp_info_t * | tp
| information concerning tile parts More...

## Detailed Description

Index structure : information regarding tiles.

## Field Documentation

## ◆ distotile

double opj_tile_info::distotile

add fixed_quality

Referenced by opj_tcd_rateallocate().

## ◆ end_header

int opj_tile_info::end_header

end position of the header

Referenced by opj_t2_encode_packets().

## ◆ end_pos

int opj_tile_info::end_pos

end position

## ◆ marker

opj_marker_info_t* opj_tile_info::marker

list of markers

Referenced by opj_write_tilemhix().

## ◆ marknum

int opj_tile_info::marknum

number of markers

Referenced by opj_write_tilemhix().

## ◆ maxmarknum

int opj_tile_info::maxmarknum

actual size of markers array

## ◆ num_tps

int opj_tile_info::num_tps

number of tile parts

Referenced by get_num_max_tile_parts(), and opj_write_tpixfaix().

## ◆ numpix

int opj_tile_info::numpix

add fixed_quality

Referenced by opj_tcd_rateallocate().

## ◆ packet

opj_packet_info_t* opj_tile_info::packet

information concerning packets inside tile

Referenced by opj_t2_encode_packet(), opj_t2_encode_packets(), opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ pdx

int opj_tile_info::pdx[33]

precinct size (in power of 2), in X for each resolution level

Referenced by opj_tcd_encode_tile().

## ◆ pdy

int opj_tile_info::pdy[33]

precinct size (in power of 2), in Y for each resolution level

Referenced by opj_tcd_encode_tile().

## ◆ ph

int opj_tile_info::ph[33]

precinct number for each resolution level (height)

Referenced by opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ pw

int opj_tile_info::pw[33]

precinct number for each resolution level (width)

Referenced by opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ start_pos

int opj_tile_info::start_pos

start position

## ◆ thresh

double* opj_tile_info::thresh

value of thresh for each layer by tile cfr.

Marcela

Referenced by opj_tcd_rateallocate().

## ◆ tileno

int opj_tile_info::tileno

number of tile

## ◆ tp

opj_tp_info_t* opj_tile_info::tp

information concerning tile parts

Referenced by opj_write_tilemhix(), and opj_write_tpixfaix().

The documentation for this struct was generated from the following file:

- openjpeg.h